## ros-lunar-rtt-rosnode 2.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rtt_rosnode)

find_package(catkin REQUIRED COMPONENTS roscpp rtt_ros)

include_directories(${catkin_INCLUDE_DIRS})

# Create orocos rosnode plugin
orocos_plugin(rtt_rosnode src/ros_plugin.cpp)
target_link_libraries(rtt_rosnode ${catkin_LIBRARIES})

# Generate install targets and pkg-config files
orocos_generate_package(
  DEPENDS roscpp
)

=== debian/changelog ===
ros-lunar-rtt-rosnode (2.9.2-1stretch) stretch; urgency=high

  * Merge pull request #116 <https://github.com/orocos/rtt_ros_integration/issues/116> from ahoarau/patch-3 into 2.9.2
    Defaults the number of spinner threads
  * Defaults the number of spinner threads
    To the number of CPUs available
  * Merge pull request #111 <https://github.com/orocos/rtt_ros_integration/issues/111> from orocos/fix-110 into 2.9.2
    Declare loadROSService() methods as static to fix name clashes
  * Declare loadROSService() methods as static to fix name clashes (fix #110 <https://github.com/orocos/rtt_ros_integration/issues/110>)
  * Merge pull request #98 <https://github.com/orocos/rtt_ros_integration/issues/98> from disRecord/feat/get-node-name
    rtt_rosnode: Add getNodeName() and getNamespace() operations.
  * rtt_rosnode: Add getNodeName() and getNamespace() operations.
  * Contributors: Antoine Hoarau, Johannes Meyer, disRecord

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 14 May 2019 22:00:00 -0000

ros-lunar-rtt-rosnode (2.9.1-1stretch) stretch; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Wed, 15 Nov 2017 23:00:00 -0000

ros-lunar-rtt-rosnode (2.9.0-1stretch) stretch; urgency=high

  * rtt_rosnode: fixed corruption of RTT's argv vector when loading the rosnode plugin (fix #54 <https://github.com/orocos/rtt_ros_integration/issues/54>)
  * Added individual changelogs and bumped versions to 2.9.0
  * Contributors: Johannes Meyer

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Mon, 01 May 2017 22:00:00 -0000

ros-lunar-rtt-rosnode (2.8.6-1stretch) stretch; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 14 Nov 2017 23:00:00 -0000

ros-lunar-rtt-rosnode (2.8.5-1stretch) stretch; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Mon, 27 Mar 2017 22:00:00 -0000

ros-lunar-rtt-rosnode (2.8.4-1stretch) stretch; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Fri, 25 Nov 2016 23:00:00 -0000

ros-lunar-rtt-rosnode (2.8.3-1stretch) stretch; urgency=high

  * rtt_rosnode: fixed corruption of RTT's argv vector when loading the rosnode plugin (fix #54 <https://github.com/orocos/rtt_ros_integration/issues/54>)
  * Contributors: Johannes Meyer

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 19 Jul 2016 22:00:00 -0000

ros-lunar-rtt-rosnode (2.8.2-1stretch) stretch; urgency=high

  * see rtt_ros_integratoin/CHANGELOG.rst <../rtt_ros_integration/CHANGELOG.rst>

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Thu, 11 Jun 2015 22:00:00 -0000

=== debian/control ===
Source: ros-lunar-rtt-rosnode
Section: misc
Priority: extra
Maintainer: Orocos Developers <orocos-dev@lists.mech.kuleuven.be>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-roscpp, ros-lunar-rtt-ros
Homepage: http://ros.org/wiki/rtt_ros_integration
Standards-Version: 3.9.2

Package: ros-lunar-rtt-rosnode
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-roscpp, ros-lunar-rtt-ros
Description: This package provides an RTT plugin to add a ROS node to the RTT process.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rtt-rosnode//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
